API Docs
YMS API
Shuttle Task/Level 1
POST Create Shuttle Task

POST Create Shuttle Task

Introduction

Creates a new shuttle task to move equipment (containers or trailers) from one location to another within the yard. This API supports task prioritization, assignee specification, and planned time scheduling. Use the forceCreate flag to override location conflicts, and releaseLocation to automatically free up the destination location if occupied.

API Request

POST /shuttle-task/create

Body Request Parameters

{
  "equipmentType": "VEHICLE",
  "prioritize": true,
  "equipmentId": "string",
  "fromLocationId": "string",
  "toLocationId": "string",
  "assigneeId": "string",
  "plannedStartTime": "string",
  "plannedEndTime": "string",
  "notes": "string",
  "releaseLocation": false,
  "forceCreate": false,
  "entryId": "string"
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyShuttleTaskCreateCmdNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "taskId": "",
    "taskStatus": "",
    "prioritize": false,
    "equipmentType": "",
    "equipmentId": "",
    "fromLocationId": "",
    "toLocationId": "",
    "assigneeId": "",
    "createdTime": "",
    "updatedTime": "",
    "plannedStartTime": "",
    "plannedEndTime": "",
    "taskStartTime": "",
    "taskEndTime": "",
    "shuttleStartTime": "",
    "shuttleEndTime": "",
    "shuttleBy": "",
    "notes": "",
    "photos": [
      ""
    ],
    "exceptionType": "",
    "exceptionReason": "",
    "cancelReason": "",
    "equipmentBeforeUpdate": {
      "equipmentNo": "",
      "equipmentId": "",
      "equipmentStatus": "",
      "equipmentType": "",
      "trailerSize": "",
      "containerSize": "",
      "equipmentCondition": "",
      "sealNumber": "",
      "locationId": "",
      "locationName": ""
    },
    "equipmentAfterUpdate": {
      "equipmentNo": "",
      "equipmentId": "",
      "equipmentStatus": "",
      "equipmentType": "",
      "trailerSize": "",
      "containerSize": "",
      "equipmentCondition": "",
      "sealNumber": "",
      "locationId": "",
      "locationName": ""
    },
    "fromLocationName": "",
    "fromLocationGroupName": "",
    "toLocationName": "",
    "toLocationGroupName": "",
    "equipmentNo": "",
    "assigneeUserName": "",
    "shuttleByName": "",
    "equipmentCondition": "",
    "isPinned": false,
    "pinnedTime": ""
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRShuttleTaskView